[dahdi-commits] seanbright: tools/trunk r7138 - /tools/trunk/bootstrap.sh

SVN commits to the DAHDI project dahdi-commits at lists.digium.com
Tue Sep 15 15:03:48 CDT 2009


Author: seanbright
Date: Tue Sep 15 15:03:45 2009
New Revision: 7138

URL: http://svn.asterisk.org/svn-view/dahdi?view=rev&rev=7138
Log:
Copy bootstrap.sh from asterisk trunk and update to work here.

Modified:
    tools/trunk/bootstrap.sh

Modified: tools/trunk/bootstrap.sh
URL: http://svn.asterisk.org/svn-view/dahdi/tools/trunk/bootstrap.sh?view=diff&rev=7138&r1=7137&r2=7138
==============================================================================
--- tools/trunk/bootstrap.sh (original)
+++ tools/trunk/bootstrap.sh Tue Sep 15 15:03:45 2009
@@ -9,17 +9,40 @@
 	fi
 }
 
-AUTOCONF_VERSION=2.59
-AUTOMAKE_VERSION=1.9
-export AUTOCONF_VERSION
-export AUTOMAKE_VERSION
+# On FreeBSD and OpenBSD, multiple autoconf/automake versions have different names.
+# On linux, envitonment variables tell which one to use.
 
-check_for_app autoconf
-check_for_app automake
-check_for_app aclocal
+uname -s | grep -q BSD
+if [ $? = 0 ] ; then	# BSD case
+	case `uname -sr` in
+		'FreeBSD 4'*)	# FreeBSD 4.x has a different naming
+			MY_AC_VER=259
+			MY_AM_VER=19
+			;;
+		*)
+			MY_AC_VER=-2.62
+			MY_AM_VER=-1.9
+			;;
+	esac
+else	# linux case
+	MY_AC_VER=
+	MY_AM_VER=
+	AUTOCONF_VERSION=2.60
+	AUTOMAKE_VERSION=1.9
+	export AUTOCONF_VERSION
+	export AUTOMAKE_VERSION
+fi
+
+check_for_app autoconf${MY_AC_VER}
+check_for_app autoheader${MY_AC_VER}
+check_for_app automake${MY_AM_VER}
+check_for_app aclocal${MY_AM_VER}
+
 echo "Generating the configure script ..."
-aclocal 2>/dev/null
-autoconf
-automake --add-missing --copy 2>/dev/null
+
+aclocal${MY_AM_VER}
+autoconf${MY_AC_VER}
+autoheader${MY_AC_VER}
+automake${MY_AM_VER} --add-missing --copy 2>/dev/null
 
 exit 0




More information about the dahdi-commits mailing list